View Issue Details

IDProjectCategoryView StatusLast Update
0032629Open CASCADEOCCT:Configurationpublic2021-10-24 10:23
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeveritytweak 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032629: Configuration, scripts - add USE_PTHREADS building option to wasm_build.bat
DescriptionIt is proposed exposing an option to conditionally enable -pthread compiler flag within wasm_build.bat.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032631 closedsmoskvin Open CASCADE Draw Harness - add DRAWEXE.evalAsync() to WebAssembly 

Activities

git

2021-10-18 16:27

administrator   ~0104708

Branch CR32629 has been created by kgv.

SHA-1: e74edf97f8e53eaae62a3d6b4e7221a6c2ec982a


Detailed log of new commits:

Author: kgv
Date: Mon Oct 18 16:26:59 2021 +0300

    0032629: Configuration, scripts - add USE_PTHREADS building option to wasm_build.bat

git

2021-10-18 16:28

administrator   ~0104709

Branch CR32629 has been updated forcibly by kgv.

SHA-1: 79555ff003c05a0293f338ec4137ba19f021713a

git

2021-10-18 16:40

administrator   ~0104710

Branch CR32629 has been updated forcibly by kgv.

SHA-1: 2b91647634d6aaa25a20f77332492346adcc977e

git

2021-10-18 17:09

administrator   ~0104711

Branch CR32629 has been updated forcibly by kgv.

SHA-1: 6176ba89b7f6d6b3b44d443df71398f0dbfd1cfb

git

2021-10-18 17:27

administrator   ~0104712

Branch CR32629 has been updated forcibly by kgv.

SHA-1: b3098db018e5ecfc55ae79f3b0d1edd41cc887dc

git

2021-10-18 17:52

administrator   ~0104714

Branch CR32629 has been updated forcibly by kgv.

SHA-1: 2e1f412e32789ff5da4794918035b71d959eeaaa

kgv

2021-10-18 18:30

developer   ~0104715

Please raise the patch
- OCCT: branch CR32629.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32629-master-KGV/view/OCCT%20compile/

git

2021-10-19 00:17

administrator   ~0104718

Branch CR32629_1 has been created by kgv.

SHA-1: 6da592b5c3f6b9d3ffca69ba4522a96d5f449dbc


Detailed log of new commits:

Author: kgv
Date: Mon Oct 18 16:26:59 2021 +0300

    0032629: Configuration, scripts - add USE_PTHREADS building option to wasm_build.bat

kgv

2021-10-19 00:18

developer   ~0104719

Please use updated path in branch CR32629_1.

smoskvin

2021-10-23 16:59

administrator   ~0104810

Combination -
OCCT branch : IR-2021-10-22
master SHA - 5b756182c269a3d4fc19b82fe8527f0fcabf5c57
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-22 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17750.01000000046 / 17700.080000000395 [+0.28%]
Products
Total CPU difference: 11624.980000000118 / 11665.940000000111 [-0.35%]
Windows-64-VC14:
OCCT
---
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-10-24 10:23

administrator   ~0104830

Branch CR32629 has been deleted by mnt.

SHA-1: 2e1f412e32789ff5da4794918035b71d959eeaaa

git

2021-10-24 10:23

administrator   ~0104831

Branch CR32629_1 has been deleted by mnt.

SHA-1: 6da592b5c3f6b9d3ffca69ba4522a96d5f449dbc

Related Changesets

occt: master 2c8c4b80

2021-10-18 13:26:59

kgv


Committer: smoskvin Details Diff
0032629: Configuration, scripts - add USE_PTHREADS building option to wasm_build.bat Affected Issues
0032629
mod - adm/scripts/wasm_build.bat Diff File
mod - adm/scripts/wasm_custom.bat.template Diff File
mod - adm/scripts/wasm_sample_build.bat Diff File
mod - samples/webgl/CMakeLists.txt Diff File
mod - src/DRAWEXE/CMakeLists.txt Diff File
mod - src/OSD/OSD_Process.cxx Diff File
mod - src/STEPConstruct/STEPConstruct_AP203Context.cxx Diff File

Issue History

Date Modified Username Field Change
2021-10-18 16:25 kgv New Issue
2021-10-18 16:25 kgv Assigned To => kgv
2021-10-18 16:27 git Note Added: 0104708
2021-10-18 16:28 git Note Added: 0104709
2021-10-18 16:40 git Note Added: 0104710
2021-10-18 17:09 git Note Added: 0104711
2021-10-18 17:27 git Note Added: 0104712
2021-10-18 17:52 git Note Added: 0104714
2021-10-18 18:30 kgv Test case number => N/A
2021-10-18 18:30 kgv Note Added: 0104715
2021-10-18 18:30 kgv Assigned To kgv => bugmaster
2021-10-18 18:30 kgv Status new => resolved
2021-10-18 18:30 kgv Status resolved => reviewed
2021-10-19 00:17 git Note Added: 0104718
2021-10-19 00:18 kgv Note Added: 0104719
2021-10-19 01:43 kgv Relationship added related to 0032631
2021-10-23 16:59 smoskvin Note Added: 0104810
2021-10-23 16:59 smoskvin Status reviewed => tested
2021-10-23 20:49 smoskvin Changeset attached => occt master 2c8c4b80
2021-10-23 20:49 smoskvin Assigned To bugmaster => smoskvin
2021-10-23 20:49 smoskvin Status tested => verified
2021-10-23 20:49 smoskvin Resolution open => fixed
2021-10-24 10:23 git Note Added: 0104830
2021-10-24 10:23 git Note Added: 0104831